Retrieve all holder applications
Roles
Analytics Events
/v1/holder/applicationsRetrieves all configured holder applications.
Analytic events
- CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_START
- CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
curl -X GET "https://example.com/v1/holder/applications"{ "nextCursor": "string", "data": [ { "id": "string", "name": "string", "clientId": "string", "type": "ios", "bundleId": "string", "teamId": "string", "maxTimeOfflineInSecs": 604800, "appAttest": { "required": true, "environment": "development" } } ]}How would you rate this page?
Create a holder application POST
Creates a holder application. Once created, application instances can be registered and interact with the MATTR VII platform (for example, to claim credentials). ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_CREATE_START * CREDENTIAL_HOLDER_APPLICATION_CREATE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_CREATE_FAIL
Retrieve a holder application GET
Retrieves an existing holder application. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_START * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_FAIL